from dingtalkchatbot.chatbot import DingtalkChatbot
from slack_bolt import App
import os
import logging
logging.basicConfig(level=logging.DEBUG)


# WebHook地址
dingtalk_webhook = os.environ["DINGTALK_WEBHOOK"]

dingtalkbot = DingtalkChatbot(dingtalk_webhook)
app = App(
    token=os.environ.get("SLACK_BOT_TOKEN"),
    signing_secret=os.environ.get("SLACK_SIGNING_SECRET")
)


@app.message("Heads Up!*")
def redirect(body, logger):
    logger.info(body)
    dingtalkbot.send_text(body)


@app.message("")
def logall(body, logger):
    logger.debug(body)
    dingtalkbot.send_text('测试'+body)


# 启动slack监听
if __name__ == "__main__":
    app.start(os.environ.get("PORT", 3000))
